> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seamind.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Question Insights

> Get per-question pass rate and timing data, optionally filtered by course.



## OpenAPI

````yaml /openapi.json get /api/v1/learn/analytics/me/question-insights
openapi: 3.1.0
info:
  title: Seamind Backend
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/learn/analytics/me/question-insights:
    get:
      tags:
        - learn-analytics
      summary: Get Question Insights
      description: >-
        Get per-question pass rate and timing data, optionally filtered by
        course.
      operationId: get_question_insights_api_v1_learn_analytics_me_question_insights_get
      parameters:
        - name: courseId
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Courseid
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QuestionInsightsResponseDTO'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    QuestionInsightsResponseDTO:
      properties:
        insights:
          items:
            $ref: '#/components/schemas/QuestionInsightDTO'
          type: array
          title: Insights
      type: object
      required:
        - insights
      title: QuestionInsightsResponseDTO
      description: Question insights response.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    QuestionInsightDTO:
      properties:
        courseId:
          type: string
          format: uuid
          title: Courseid
        courseTitle:
          type: string
          title: Coursetitle
        questionId:
          type: string
          title: Questionid
        questionText:
          type: string
          title: Questiontext
        questionType:
          type: string
          title: Questiontype
        passRate:
          type: number
          title: Passrate
        totalAttempts:
          type: integer
          title: Totalattempts
        avgTimeSeconds:
          type: number
          title: Avgtimeseconds
      type: object
      required:
        - courseId
        - courseTitle
        - questionId
        - questionText
        - questionType
        - passRate
        - totalAttempts
        - avgTimeSeconds
      title: QuestionInsightDTO
      description: A single question insight with pass rate and timing data.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````